<script>
	import Package from '@/assets/Package.svg'
	import Doctors from '@/assets/Doctors.svg'
	import Dreamer from '@/assets/Dreamer.svg'
	import Mailbox from '@/assets/Mailbox.svg'
	import { goto } from '$app/navigation'
	let current = 0
	let screens = [Doctors, Package, Mailbox, Dreamer]
	let titles = ['Welcome', 'Open the Package', 'Send it to us', 'Wait for Notification']
	function next() {
		if (current == 3) {
			goto('/viewer')
		} else {
			current += 1
		}
	}
</script>

<div class="flex flex-col h-full justify-center items-center ">
	<h3 class="font-bold mb-4 text-2xl">{titles[current]}</h3>
	<div class="mx-auto my-6 w-[60%]">
		<svelte:component this={screens[current]} />
	</div>
	<button
		class="bg-white rounded bg-indigo-700 shadow-md mt-6 text-white py-3 px-6"
		on:click={next}
	>
		Next
	</button>
</div>
